"""Tests for some backward compatibility issues."""

from .. import interfaces, mixins


class TestVersion0_8_1(object):
    def test_interfaces_mixins(object):
        """In version 0.8.1 and earlier, the classes in pytimeode.mixins were
        implemented in pytimeode.interfaces.  We insert these."""
        keys = ['StateMixin', 'ArrayStateMixin', 'ArraysStateMixin',
                'MultiStateMixin']
        for key in keys:
            assert getattr(interfaces, key) is getattr(mixins, key)
